#
# Build stage
#
FROM maven:3.6.3-jdk-8-slim AS build
COPY src /home/app/src
COPY pom.xml /home/app
RUN mvn -f /home/app/pom.xml clean package

#
# Package stage
#
FROM openjdk:8-jdk-alpine
RUN addgroup -S spring && adduser -S spring -G spring
USER spring:spring
ARG JAR_FILE=/home/app/target/*.jar
COPY --from=build /home/app/target/*.jar app.jar
##COPY ${JAR_FILE} app.jar
ENTRYPOINT ["java","-jar","/app.jar"]